
QGIS Application - Bug report #15274

python error when using "new connection" for spatialite/geopackage in db manager

2016-07-13 09:41 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: DB Manager

Affected QGIS version:2.16.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23210

Description

    -  open db manager

    -  right click on spatialie/geopackage

    -  select "new connection" 

    -  select a geopackage or spatialite db

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/db_manager/db_tree.py", line 103, in newConnection

    self.mainWindow.invokeCallback(item.addConnectionActionSlot, index)

  File "/usr/share/qgis/python/plugins/db_manager/db_manager.py", line 288, in invokeCallback

    callback(self.tree.currentItem(), self.sender(), self, *params)

  File "/usr/share/qgis/python/plugins/db_manager/db_plugins/spatialite/plugin.py", line 102, in addConnectionActionSlot

    index.internalPointer().itemChanged.emit()

AttributeError: 'function' object has no attribute 'emit'

Associated revisions

Revision 8c3537bf - 2016-09-01 08:51 PM - Even Rouault

[DBManager] Fix exception raised when adding a new Spatialite connection

This was accidentaly broken since 1f0fce7852e9f6a27af967d7ac7ee3989dce7b45

Fixes #15274

Revision 8688fef1 - 2016-09-01 08:54 PM - Even Rouault

[DBManager] Fix exception raised when adding a new Spatialite connection

This was accidentaly broken since 1f0fce7852e9f6a27af967d7ac7ee3989dce7b45

Fixes #15274

Revision d5cfef93 - 2016-09-01 08:55 PM - Even Rouault

[DBManager] Fix exception raised when adding a new Spatialite connection

This was accidentaly broken since 1f0fce7852e9f6a27af967d7ac7ee3989dce7b45
Fixes #15274

History

#1 - 2016-08-02 06:39 PM - Randal Hale

Can confirm on Ubuntu 16.04 2.16.0 and 2.16.1

#2 - 2016-09-01 11:54 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"8c3537bff23dc685f0ecfc99d0ae29336410b4dd".
